org.gjt.sp.jedit.textarea

## Class ScrollLayout

- java.lang.Object
- - org.gjt.sp.jedit.textarea.ScrollLayout

- All Implemented Interfaces:
    java.awt.LayoutManager

      public class ScrollLayout
      extends java.lang.Object
      implements java.awt.LayoutManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOTTOM`
    `static java.lang.String` | `CENTER`
    `static java.lang.String` | `LEFT`
    `static java.lang.String` | `RIGHT`
    `static java.lang.String` | `TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScrollLayout()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
    `void` | `layoutContainer(java.awt.Container parent)`
    `java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
    `java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
    `void` | `removeLayoutComponent(java.awt.Component comp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final java.lang.String CENTER

      See Also:
        Constant Field Values

    - #### RIGHT

          public static final java.lang.String RIGHT

      See Also:
        Constant Field Values

    - #### LEFT

          public static final java.lang.String LEFT

      See Also:
        Constant Field Values

    - #### BOTTOM

          public static final java.lang.String BOTTOM

      See Also:
        Constant Field Values

    - #### TOP

          public static final java.lang.String TOP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScrollLayout

          public ScrollLayout()

  - ### Method Detail

    - #### addLayoutComponent

          public void addLayoutComponent(java.lang.String name,
                                java.awt.Component comp)

      Specified by:
        `addLayoutComponent` in interface `java.awt.LayoutManager`

    - #### removeLayoutComponent

          public void removeLayoutComponent(java.awt.Component comp)

      Specified by:
        `removeLayoutComponent` in interface `java.awt.LayoutManager`

    - #### preferredLayoutSize

          public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

      Specified by:
        `preferredLayoutSize` in interface `java.awt.LayoutManager`

    - #### minimumLayoutSize

          public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

      Specified by:
        `minimumLayoutSize` in interface `java.awt.LayoutManager`

    - #### layoutContainer

          public void layoutContainer(java.awt.Container parent)

      Specified by:
        `layoutContainer` in interface `java.awt.LayoutManager`